<?xml version="1.0" encoding="UTF-8"?><record_update table="sp_widget">
    <sp_widget action="INSERT_OR_UPDATE">
        <category>custom</category>
        <client_script><![CDATA[function($scope, spUtil, $location) {

	var c = this;

	c.type = c.data.type;
	
	c.data.cases[c.type].forEach(function (cv) {
		//console.log(cv.sla);
		//cv.sla = moment(cv.sla).for;
	});
	
	console.log(c.data);

	spUtil.recordWatch($scope, 
										 'sysapproval_approver',
										 'approverDYNAMIC90d1921e5f510100a9ad2572f2b477fe', function (d) {
		c.server.refresh();
	});

	$scope.$on('pi-bh.setType', function (e, d) {
		c.type = d;
	});
	
	c.deleteCase = function (cs) {
		c.server.get({
			action: 'deleteCase',
			sysId: cs.sysId
		}).then(function (r) {
			c.data.cases = r.data.cases;
		});
	}
	
	c.pillStyle = function (stateVal) {
		return {
			'approved': stateVal === 3,
			'rejected': stateVal === 4,
			'submitted': stateVal === 1
		};
	};

	c.openCase = function (cs) {

		if (cs.state.value < 0) {
			$location.search({
				id: 'pi_bh_wizard',
				sys_id: cs.sysId
			});
		} else {
			$location.search({
				id: 'pi_bh_detail',
				sys_id: cs.sysId
			});
		}
	}
}]]></client_script>
        <controller_as>c</controller_as>
        <css>.pi-bh-case-list {
  margin: 20px 0 40px 0;
  border-bottom: #979797;
}


table {
  width: 100%;
}

.bhcd-state {
  color: $text-color;
}

thead {
  color: #848484;
  font-weight: bold;

  td {
    padding: 12px 10px;
  }
}

tbody tr {
  border-bottom: 1px solid rgba(151, 151, 151, 0.2);
  border-top: 1px solid rgba(151, 151, 151, 0.2);
  color: #848484;
  font-size: 14px;

  td {
    padding: 16px 10px;
  }

}

.bhcl-userphoto {
  width: 32px;
  padding-right: 16px;
  padding-left: 0;

  &gt; div {
    height: 32px;
    width: 32px;
    border-radius: 16px;
    background-color: #666;
    background-size: cover;
  }
}

.bhcl-arrow {
  width: 32px;
  padding-right: 0;

  &gt; div {
    width: 32px;
    height: 32px;
    border-radius: 16px;
    background-color: #E5E5E5;
    display: flex;
    justify-content: center;
    align-items: center;
  }

}

.bhcl-title {
  color: #2D2B5D;
  font-size: 16px;
}



ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

li {
  display: flex;
  margin: 20px 0;
}

.bhcl-description {
  &gt; div:first-of-type {
    font-size: 21px;
    font-weight: 300;
  }
}

.bhcl-submitted, .bhcl-employee {

  flex: 1 0 85px;

  &gt; div:first-of-type {
    font-weight: bold;
  }
}

.bhcl-user {
  flex: 1 0 75px;
}

.bhcl-photo {
  flex: 1 0 130px;
}

.pi-bh-noresults {
	text-align: center;
}

@media (max-width: 650px) {
  tbody tr td {
    padding: 16px 5px;
  }

  .bhcl-userphoto {
    padding-right: 5px;
  }
}</css>
        <data_table>sp_instance</data_table>
        <demo_data/>
        <description/>
        <docs/>
        <field_list/>
        <has_preview>false</has_preview>
        <id>bh-case-list</id>
        <internal>false</internal>
        <link/>
        <name>BH Case List</name>
        <option_schema>[{"hint":"","name":"source","section":"Data","default_value":"approver","label":"Source","type":"choice","choices":[{"label":"approver","value":"approver"},{"label":"submitter","value":"submitter"}]}]</option_schema>
        <public>false</public>
        <roles/>
        <script><![CDATA[(function() {

	if (input && input.action === 'deleteCase') {
		var cs = new Case(input.sysId);
		cs.deleteRecord();
	}



	if (options.source === 'approver') {
		
		data.type = 'idea';
		
		data.cases = {
			idea: Case.getForApprovals('idea'),
			concern: Case.getForApprovals('concern')
		};
	} else {

		data.type = $sp.getParameter('type');

		if (data.type === 'idea') {

			data.cases = {
				idea: Case.getForCurrentUser('idea')
			};

		} else {

			data.cases = {
				concern: Case.getForCurrentUser('concern')
			};
		}
	}

})();]]></script>
        <servicenow>false</servicenow>
        <sys_class_name>sp_widget</sys_class_name>
        <sys_created_by>dylan.lindgren</sys_created_by>
        <sys_created_on>2018-08-22 00:13:48</sys_created_on>
        <sys_id>20d6cc06db00630012e035a27a96193c</sys_id>
        <sys_mod_count>228</sys_mod_count>
        <sys_name>BH Case List</sys_name>
        <sys_package display_value="BeHeard" source="x_pisn_bh">90ff838bdbfbd300687c26b38a96191b</sys_package>
        <sys_policy/>
        <sys_scope display_value="BeHeard">90ff838bdbfbd300687c26b38a96191b</sys_scope>
        <sys_update_name>sp_widget_20d6cc06db00630012e035a27a96193c</sys_update_name>
        <sys_updated_by>dylan.lindgren</sys_updated_by>
        <sys_updated_on>2018-08-30 04:09:35</sys_updated_on>
        <template><![CDATA[<div class="pi-bh-case-list">

  <table ng-if="c.data.cases[c.type].length > 0">
    <thead>
      <tr>
        <td colspan="2">${Employee}</td>
        <td></td>
        <td ng-if="::c.options.source !== 'approver'">${Sent}</td>
        <td ng-if="::c.options.source === 'approver'">${Due}</td>
        <td>${Status}</td>
        <td></td>
        <td></td>
      </tr>
    </thead>
    <tbody>
      <tr ng-repeat="cs in c.data.cases[c.type]">
        <td class="bhcl-userphoto">
          <div ng-style="{'background-image': 'url(' + cs.submittedBy.photo.path + ')'}"></div>
        </td>
        <td>{{::cs.submittedBy.fullName}}</td>
        <td class="bhcl-title">{{::cs.name}}</td>
        <td ng-if="::c.options.source !== 'approver'"><span ng-if="!cs.approval">${Work in Progress}</span><sn-time-ago timestamp="::cs.approval.created"></sn-time-ago></td>
        <td ng-if="::c.options.source === 'approver'"><span ng-if="::cs.approval.state === 'requested'"><sn-time-ago timestamp="::cs.sla"></sn-time-ago></span><span ng-if="::cs.approval.state !== 'requested'">N/A</span></td>
        <td>
          <div class="pi-bh-pill" ng-class="::c.pillStyle(cs.state.value)">{{::cs.state.display}}</div>
        </td>
        <td>
          <div ng-if="!cs.approval" ng-click="c.deleteCase(cs)" title="Delete"><span ng-include="'/pi-bh-trash.svg'"></span></div>
        </td>
        <td class="bhcl-arrow">
          <div ng-click="c.openCase(cs)">
            <span ng-include="'/pi-bh-arrow.svg'"></span>
          </div>
        </td>
      </tr>
    </tbody>
  </table>
  
  <div ng-if="c.data.cases[c.type].length === 0"
       class="alert alert-info pi-bh-noresults">
  	${No results}
  </div>
</div>]]></template>
    </sp_widget>
</record_update>
